diff --git a/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenChat.java b/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenChat.java
index 2b4783051..708b0f6d4 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenChat.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/chat/ScreenChat.java
@@ -6,6 +6,7 @@ import net.minecraft.client.gui.hud.component.ComponentAnchor;
 import net.minecraft.client.gui.keyboard.ScreenKeyboard;
 import net.minecraft.client.gui.text.TextFieldEditor;
 import net.minecraft.client.input.InputType;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.net.ChatEmotes;
 import org.lwjgl.input.Keyboard;
@@ -30,10 +31,10 @@ public class ScreenChat extends Screen implements ITextField {
 	}
 
 	public ScreenChat(String initialMessage) {
-		message = initialMessage;
-		updateCounter = 0;
-		editor = new TextFieldEditor(this);
-		editor.setCursor(10000);
+        this.message = initialMessage;
+        this.updateCounter = 0;
+        this.editor = new TextFieldEditor(this);
+        this.editor.setCursor(10000);
 	}
 
 	@Override
@@ -41,13 +42,13 @@ public class ScreenChat extends Screen implements ITextField {
 		Keyboard.enableRepeatEvents(true);
 		try {
 			int emotePickerYCells = (int)MathHelper.clamp(Math.ceil(ChatEmotes.getEmotes().size() / 5.0), 0, 4);
-			emotePicker = new GuiElementChatEmotePicker(mc, this, 5, emotePickerYCells);
-			showEmotePicker = false;
-			suggestionsElement = new GuiElementChatSuggestions(
-				mc,
-				editor,
+            this.emotePicker = new GuiElementChatEmotePicker(this.mc, this, 5, emotePickerYCells);
+            this.showEmotePicker = false;
+            this.suggestionsElement = new GuiElementChatSuggestions(
+                this.mc,
+                this.editor,
 				this,
-				(parent, child, minecraft, followParameters) -> 16 + (followParameters ? suggestionsElement.getDefaultParameterPosition() - 1 : 0),
+				(parent, child, minecraft, followParameters) -> 16 + (followParameters ? this.suggestionsElement.getDefaultParameterPosition() - 1 : 0),
 				(parent, child, minecraft, followParameters) -> minecraft.resolution.getScaledHeightScreenCoords() - 14,
 				ComponentAnchor.BOTTOM_LEFT
 			);
@@ -58,17 +59,17 @@ public class ScreenChat extends Screen implements ITextField {
 				this.suggestionsElement.updateSuggestions();
 			}
 
-			if (mc.gameSettings.forceOnscreenKeyboard.value || mc.inputType == InputType.CONTROLLER) {
-				suggestionsElement.hidden = true;
-				mc.displayScreen(new ScreenKeyboard(this, editor,
+			if (GameSettings.FORCE_ONSCREEN_KEYBOARD.value || this.mc.inputType == InputType.CONTROLLER) {
+                this.suggestionsElement.hidden = true;
+                this.mc.displayScreen(new ScreenKeyboard(this, this.editor,
 					(workingString) -> sendMessage(),
 					(c, k, workingString) -> {
-						suggestionsElement.hidden = !getText().startsWith("/");
-						suggestionsElement.keyTyped(c, k);
+                        this.suggestionsElement.hidden = !getText().startsWith("/");
+                        this.suggestionsElement.keyTyped(c, k);
 					},
 					s -> {
-						suggestionsElement.hidden = !getText().startsWith("/");
-						suggestionsElement.updateSuggestions();
+                        this.suggestionsElement.hidden = !getText().startsWith("/");
+                        this.suggestionsElement.updateSuggestions();
 					}));
 			}
 		} catch (Exception e) {
@@ -79,25 +80,25 @@ public class ScreenChat extends Screen implements ITextField {
 	@Override
 	public void removed() {
 		Keyboard.enableRepeatEvents(false);
-		mc.hudIngame.chatScroll = 0;
+        this.mc.hudIngame.chatScroll = 0;
 	}
 
 	@Override
 	public void tick() {
-		if ((mc.gameSettings.forceOnscreenKeyboard.value || mc.inputType == InputType.CONTROLLER) && !(mc.currentScreen instanceof ScreenKeyboard)) {
-			mc.displayScreen(null); // Close out of gui when exiting keyboard screen
+		if ((GameSettings.FORCE_ONSCREEN_KEYBOARD.value || this.mc.inputType == InputType.CONTROLLER) && !(this.mc.currentScreen instanceof ScreenKeyboard)) {
+            this.mc.displayScreen(null); // Close out of gui when exiting keyboard screen
 			return;
 		}
-		updateCounter++;
+        this.updateCounter++;
 
 		try {
 			int dWheel = Mouse.getDWheel();
 			if (dWheel != 0)
 			{
-				if (showEmotePicker) {
-					emotePicker.scrollOffset((int)(-dWheel / 0.1f));
+				if (this.showEmotePicker) {
+                    this.emotePicker.scrollOffset((int)(-dWheel / 0.1f));
 				} else {
-					mc.hudIngame.chatScroll += dWheel;
+                    this.mc.hudIngame.chatScroll += dWheel;
 				}
 			}
 
@@ -122,18 +123,18 @@ public class ScreenChat extends Screen implements ITextField {
 						handled = true;
 					}
 				}
-				if (!handled && !mc.thePlayer.messageHistory.isEmpty()) {
-					if (currentIndex == 0)
+				if (!handled && !this.mc.thePlayer.messageHistory.isEmpty()) {
+					if (this.currentIndex == 0)
 					{
-						originalMessage = getText();
+                        this.originalMessage = getText();
 					}
-					if (currentIndex < mc.thePlayer.messageHistory.size())
+					if (this.currentIndex < this.mc.thePlayer.messageHistory.size())
 					{
-						currentIndex++;
-						setText(getMessage(currentIndex));
+                        this.currentIndex++;
+						setText(getMessage(this.currentIndex));
 						this.editor.setCursor(10000);
 					}
-					editor.setCursor(10000);
+                    this.editor.setCursor(10000);
 					if (this.suggestionsElement != null) {
 						this.suggestionsElement.updateSuggestions();
 					}
@@ -148,20 +149,20 @@ public class ScreenChat extends Screen implements ITextField {
 						handled = true;
 					}
 				}
-				if (!handled && currentIndex > 0) {
-					if (currentIndex-1 == 0)
+				if (!handled && this.currentIndex > 0) {
+					if (this.currentIndex -1 == 0)
 					{
-						currentIndex--;
-						setText(originalMessage);
+                        this.currentIndex--;
+						setText(this.originalMessage);
 						this.editor.setCursor(10000);
 					}
 					else
 					{
-						currentIndex--;
-						setText(getMessage(currentIndex));
+                        this.currentIndex--;
+						setText(getMessage(this.currentIndex));
 						this.editor.setCursor(10000);
 					}
-					editor.setCursor(10000);
+                    this.editor.setCursor(10000);
 					if (this.suggestionsElement != null) {
 						this.suggestionsElement.updateSuggestions();
 					}
@@ -169,20 +170,20 @@ public class ScreenChat extends Screen implements ITextField {
 				}
 			}
 			if (eventKey == Keyboard.KEY_ESCAPE && !(this instanceof ScreenSleepMP)) {
-				mc.displayScreen(null);
+                this.mc.displayScreen(null);
 				handled = true;
 			}
 			if (eventKey == Keyboard.KEY_RETURN || eventKey == Keyboard.KEY_NUMPADENTER) {
-				String s = message.trim();
-				if (s.length() > 0) {
-					String s1 = message.trim();
-					mc.thePlayer.sendChatMessage(s1);
+				String s = this.message.trim();
+				if (!s.isEmpty()) {
+					String s1 = this.message.trim();
+                    this.mc.thePlayer.sendChatMessage(s1);
 				}
-				mc.displayScreen(null);
+                this.mc.displayScreen(null);
 				handled = true;
 			}
 			if (!handled) {
-				editor.handleInput(eventKey, eventCharacter);
+                this.editor.handleInput(eventKey, eventCharacter);
 			}
 			if (this.suggestionsElement != null) {
 				this.suggestionsElement.keyTyped(eventCharacter, eventKey);
@@ -193,10 +194,10 @@ public class ScreenChat extends Screen implements ITextField {
 	}
 
 	public void sendMessage() {
-		String s = message.trim();
-		if (s.length() > 0) {
-			String s1 = message.trim();
-			mc.thePlayer.sendChatMessage(s1);
+		String s = this.message.trim();
+		if (!s.isEmpty()) {
+			String s1 = this.message.trim();
+            this.mc.thePlayer.sendChatMessage(s1);
 		}
 	}
 
@@ -206,32 +207,32 @@ public class ScreenChat extends Screen implements ITextField {
 			// Draw emote picker button
 			int emotePickerButtonColor = 0x80000000;
 			int emotePickerTextColor = 0xE0E0E0;
-			if (mx >= 2 && mx < 14 && my >= height - 14 && my < height - 2)
+			if (mx >= 2 && mx < 14 && my >= this.height - 14 && my < this.height - 2)
 			{
 				emotePickerButtonColor = 0x80ffffff;
 				emotePickerTextColor = 0xffffffa0;
 			}
-			drawRect(2, height - 14, 14, height - 2, emotePickerButtonColor);
-			drawStringCenteredShadow(fontRenderer, Character.toString('\u263a'), 2 + 6, height - 12, emotePickerTextColor);
+			drawRect(2, this.height - 14, 14, this.height - 2, emotePickerButtonColor);
+			drawStringCenteredShadow(this.fontRenderer, Character.toString('\u263a'), 2 + 6, this.height - 12, emotePickerTextColor);
 
-			drawRect(16, height - 14, width - 2, height - 2, 0x80000000);
+			drawRect(16, this.height - 14, this.width - 2, this.height - 2, 0x80000000);
 
-			drawStringShadow(fontRenderer, this.suggestionsElement.getSuggestionPreview(), 16 + suggestionsElement.getDefaultParameterPosition(), mc.resolution.getScaledHeightScreenCoords() - 12, 0xFFFFFF);
-			boolean drawCursor = (updateCounter / 6) % 2 == 0;
-			int cursor = editor.getCursor();
-			drawStringShadow(fontRenderer, this.suggestionsElement.colorCodeText(message, true), 18, height - 12, 0xE0E0E0);
+			drawStringShadow(this.fontRenderer, this.suggestionsElement.getSuggestionPreview(), 16 + this.suggestionsElement.getDefaultParameterPosition(), this.mc.resolution.getScaledHeightScreenCoords() - 12, 0xFFFFFF);
+			boolean drawCursor = (this.updateCounter / 6) % 2 == 0;
+			int cursor = this.editor.getCursor();
+			drawStringShadow(this.fontRenderer, this.suggestionsElement.colorCodeText(this.message, true), 18, this.height - 12, 0xE0E0E0);
 			if (drawCursor)
 			{
-				int width = MathHelper.ceil(fontRenderer.stringWidthDouble(message));
-				if (cursor < message.length())
+				int width = MathHelper.ceil(this.fontRenderer.stringWidthDouble(this.message));
+				if (cursor < this.message.length())
 				{
-					width = MathHelper.ceil(fontRenderer.stringWidthDouble(message.substring(0, cursor)));
+					width = MathHelper.ceil(this.fontRenderer.stringWidthDouble(this.message.substring(0, cursor)));
 				}
-				drawStringShadow(fontRenderer, "_", 18 + width, height - 12, 0xE0E0E0);
+				drawStringShadow(this.fontRenderer, "_", 18 + width, this.height - 12, 0xE0E0E0);
 			}
 
-			if (showEmotePicker) {
-				emotePicker.draw(2, height - 16 - emotePicker.getHeight(), mx, my);
+			if (this.showEmotePicker) {
+                this.emotePicker.draw(2, this.height - 16 - this.emotePicker.getHeight(), mx, my);
 			}
 
 			super.render(mx, my, partialTick);
@@ -249,15 +250,16 @@ public class ScreenChat extends Screen implements ITextField {
 		try {
 			boolean handled = false;
 			if (buttonNum == 0) {
-				if (mx >= 2 && mx < 14 && my >= height - 14 && my < height - 2) {
-					showEmotePicker = !showEmotePicker;
+				if (mx >= 2 && mx < 14 && my >= this.height - 14 && my < this.height - 2) {
+                    this.showEmotePicker = !this.showEmotePicker;
 					handled = true;
 				}
-				if (!handled && showEmotePicker) {
-					Character c = emotePicker.click(mx - 2, my - (height - 16 - emotePicker.getHeight()));
+				if (!handled && this.showEmotePicker) {
+					Character c = this.emotePicker.click(mx - 2, my - (this.height - 16 - this.emotePicker.getHeight()));
 					if (c != null) {
-						editor.handleInput(0, c);
-						if (!Keyboard.isKeyDown(Keyboard.KEY_LSHIFT) && !Keyboard.isKeyDown(Keyboard.KEY_RSHIFT)) showEmotePicker = false;
+                        this.editor.handleInput(0, c);
+						if (!Keyboard.isKeyDown(Keyboard.KEY_LSHIFT) && !Keyboard.isKeyDown(Keyboard.KEY_RSHIFT))
+                            this.showEmotePicker = false;
 						handled = true;
 					}
 				}
@@ -279,7 +281,7 @@ public class ScreenChat extends Screen implements ITextField {
 
 	@Override
 	public String getText() {
-		return message;
+		return this.message;
 	}
 
 	@Override
@@ -289,6 +291,6 @@ public class ScreenChat extends Screen implements ITextField {
 
 	private String getMessage(int currentIndex)
 	{
-		return mc.thePlayer.messageHistory.get(mc.thePlayer.messageHistory.size()-currentIndex);
+		return this.mc.thePlayer.messageHistory.get(this.mc.thePlayer.messageHistory.size()-currentIndex);
 	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
index b2065988a..0b8f22128 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
@@ -10,6 +10,7 @@ import net.minecraft.client.gui.guidebook.ScreenGuidebook;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
 import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.input.controller.ControllerInput;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.option.enums.DescriptionPromptEnum;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
@@ -84,7 +85,7 @@ public abstract class ScreenContainerAbstract extends Screen {
 
         final ContainerInventory containerInventory = this.mc.thePlayer.inventory;
         ItemStack grabbedItem = containerInventory.getHeldItemStack();
-        if (this.mc.gameSettings.enableItemDragging.value) {
+        if (GameSettings.ENABLE_ITEM_DRAGGING.value) {
             this.itemDragHandler.drawScreen(mx, my, partialTick);
 
             ItemStack grabbedItemOverride = this.itemDragHandler.getHeldItemRenderOverride();
@@ -105,7 +106,7 @@ public abstract class ScreenContainerAbstract extends Screen {
 
         GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         if (containerInventory.getHeldItemStack() == null && slot != null && slot.hasItem()) {
-            boolean showDescription = DescriptionPromptEnum.showDescription(this.mc);
+            boolean showDescription = DescriptionPromptEnum.showDescription();
             String str = this.tooltipElement.getTooltipText(slot.getItemStack(), showDescription, slot);
             if (!str.isEmpty()) {
                 this.tooltipElement.render(str, mx, my, 8, -8);
@@ -150,12 +151,12 @@ public abstract class ScreenContainerAbstract extends Screen {
 
     public boolean checkKeybind(int slotId, int key, int mouseButton) {
         boolean cancelClick = false;
-        if (this.mc.gameSettings.keyInventory.isKeyOrMouse(key, mouseButton)) {
+        if (GameSettings.KEY_INVENTORY.isKeyOrMouse(key, mouseButton)) {
             this.mc.thePlayer.closeScreen();
             cancelClick = true;
         }
         if (slotId >= 0) {
-            if (this.mc.gameSettings.keyShowRecipe.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_SHOW_RECIPE.isKeyOrMouse(key, mouseButton)) {
                 Slot slot = this.inventorySlots.slots.get(slotId);
                 if (slot.hasItem()) {
                     String query = "r:" + slot.getItemStack().getDisplayName() + "!";
@@ -177,7 +178,7 @@ public abstract class ScreenContainerAbstract extends Screen {
                 }
                 cancelClick = true;
             }
-            if (this.mc.gameSettings.keyShowUsage.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_SHOW_USAGE.isKeyOrMouse(key, mouseButton)) {
                 Slot slot = this.inventorySlots.slots.get(slotId);
                 if (slot.hasItem()) {
                     String query = "u:" + slot.getItemStack().getDisplayName() + "!";
@@ -199,7 +200,7 @@ public abstract class ScreenContainerAbstract extends Screen {
                 }
                 cancelClick = true;
             }
-            if (this.mc.gameSettings.keyDrop.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_DROP.isKeyOrMouse(key, mouseButton)) {
                 boolean ctrl = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL);
                 int amount = 1;
                 if (ctrl) amount = 64;
@@ -207,49 +208,49 @@ public abstract class ScreenContainerAbstract extends Screen {
                 cancelClick = true;
             }
             // Horrifying
-            if (this.mc.gameSettings.keyHotBarSlot1.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_HOT_BAR_SLOT_1.isKeyOrMouse(key, mouseButton)) {
                 this.mc.playerController.handleInventoryMouseClick(this.inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[]{slotId, 1}, this.mc.thePlayer);
                 cancelClick = true;
             }
-            if (this.mc.gameSettings.keyHotBarSlot2.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_HOT_BAR_SLOT_2.isKeyOrMouse(key, mouseButton)) {
                 this.mc.playerController.handleInventoryMouseClick(this.inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[]{slotId, 2}, this.mc.thePlayer);
                 cancelClick = true;
             }
-            if (this.mc.gameSettings.keyHotBarSlot3.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_HOT_BAR_SLOT_3.isKeyOrMouse(key, mouseButton)) {
                 this.mc.playerController.handleInventoryMouseClick(this.inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[]{slotId, 3}, this.mc.thePlayer);
                 cancelClick = true;
             }
-            if (this.mc.gameSettings.keyHotBarSlot4.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_HOT_BAR_SLOT_4.isKeyOrMouse(key, mouseButton)) {
                 this.mc.playerController.handleInventoryMouseClick(this.inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[]{slotId, 4}, this.mc.thePlayer);
                 cancelClick = true;
             }
-            if (this.mc.gameSettings.keyHotBarSlot5.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_HOT_BAR_SLOT_5.isKeyOrMouse(key, mouseButton)) {
                 this.mc.playerController.handleInventoryMouseClick(this.inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[]{slotId, 5}, this.mc.thePlayer);
                 cancelClick = true;
             }
-            if (this.mc.gameSettings.keyHotBarSlot6.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_HOT_BAR_SLOT_6.isKeyOrMouse(key, mouseButton)) {
                 this.mc.playerController.handleInventoryMouseClick(this.inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[]{slotId, 6}, this.mc.thePlayer);
                 cancelClick = true;
             }
-            if (this.mc.gameSettings.keyHotBarSlot7.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_HOT_BAR_SLOT_7.isKeyOrMouse(key, mouseButton)) {
                 this.mc.playerController.handleInventoryMouseClick(this.inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[]{slotId, 7}, this.mc.thePlayer);
                 cancelClick = true;
             }
-            if (this.mc.gameSettings.keyHotBarSlot8.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_HOT_BAR_SLOT_8.isKeyOrMouse(key, mouseButton)) {
                 this.mc.playerController.handleInventoryMouseClick(this.inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[]{slotId, 8}, this.mc.thePlayer);
                 cancelClick = true;
             }
-            if (this.mc.gameSettings.keyHotBarSlot9.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_HOT_BAR_SLOT_9.isKeyOrMouse(key, mouseButton)) {
                 this.mc.playerController.handleInventoryMouseClick(this.inventorySlots.containerId, InventoryAction.HOTBAR_ITEM_SWAP, new int[]{slotId, 9}, this.mc.thePlayer);
                 cancelClick = true;
             }
 
-            if (this.mc.gameSettings.keySortInventory.isKeyOrMouse(key, mouseButton)) {
+            if (GameSettings.KEY_SORT_INVENTORY.isKeyOrMouse(key, mouseButton)) {
                 this.mc.playerController.handleInventoryMouseClick(this.inventorySlots.containerId, InventoryAction.SORT, new int[]{slotId}, this.mc.thePlayer);
                 cancelClick = true;
             }
         }
-        if (this.mc.currentScreen == this && this.mc.gameSettings.keyGuidebook.isKeyOrMouse(key, mouseButton)) {
+        if (this.mc.currentScreen == this && GameSettings.KEY_GUIDEBOOK.isKeyOrMouse(key, mouseButton)) {
             this.mc.thePlayer.displayGuidebookScreen();
             cancelClick = true;
         }
@@ -272,7 +273,7 @@ public abstract class ScreenContainerAbstract extends Screen {
         }
         if (checkKeybind(getSlotId(mx, my), -1, buttonNum)) return;
         super.mouseClicked(mx, my, buttonNum);
-        if (this.mc.gameSettings.enableItemDragging.value) {
+        if (GameSettings.ENABLE_ITEM_DRAGGING.value) {
             this.itemDragHandler.mouseEvent(mx, my, buttonNum, true);
             return;
         }
@@ -285,7 +286,7 @@ public abstract class ScreenContainerAbstract extends Screen {
     @Override
     public void mouseReleased(int mx, int my, int buttonNum) {
         if (buttonNum >= 0) {
-            if (this.mc.gameSettings.enableItemDragging.value) {
+            if (GameSettings.ENABLE_ITEM_DRAGGING.value) {
                 this.itemDragHandler.mouseEvent(mx, my, buttonNum, false);
             }
         }
@@ -335,7 +336,7 @@ public abstract class ScreenContainerAbstract extends Screen {
             mouseButton = 0;
         }
 
-        if (this.mc.gameSettings.keySortInventory.isMouseButton(mouseButton)) {
+        if (GameSettings.KEY_SORT_INVENTORY.isMouseButton(mouseButton)) {
             action = InventoryAction.SORT;
         }
 
@@ -355,7 +356,7 @@ public abstract class ScreenContainerAbstract extends Screen {
 
         if (slot instanceof SlotResult) {
             // Crafting behavior
-            if (this.mc.gameSettings.swapCraftingButtons.value) {
+            if (GameSettings.SWAP_CRAFTING_BUTTONS.value) {
                 if (shiftPressed && ctrlPressed) {
                     action = InventoryAction.MOVE_SIMILAR;
                 } else if (shiftPressed) {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
index 2bccb5377..6c7fcb78b 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenFlagEditor.java
@@ -4,6 +4,7 @@ import net.minecraft.client.gui.ButtonElement;
 import net.minecraft.client.gui.ClickableLabelElement;
 import net.minecraft.client.gui.DrawableSurfaceElement;
 import net.minecraft.client.gui.TexturedButtonElement;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.renderer.BlendFactor;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
@@ -378,7 +379,7 @@ public class ScreenFlagEditor
 
     @Override
     public void keyPressed(char eventCharacter, int eventKey, int mx, int my) {
-        if (eventKey == Keyboard.KEY_ESCAPE || this.mc.gameSettings.keyInventory.isKeyboardKey(eventKey) || eventKey == Keyboard.KEY_BACK) {
+        if (eventKey == Keyboard.KEY_ESCAPE || GameSettings.KEY_INVENTORY.isKeyboardKey(eventKey) || eventKey == Keyboard.KEY_BACK) {
             this.mc.thePlayer.closeScreen();
         }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
index d8f26f94f..6f7db9151 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
@@ -7,6 +7,7 @@ import net.minecraft.client.gui.GuiElement;
 import net.minecraft.client.gui.ListLayout;
 import net.minecraft.client.gui.options.OverlayButtonElement;
 import net.minecraft.client.input.controller.ControllerInput;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.entity.EntityRenderer;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.Shaders;
@@ -19,7 +20,6 @@ import net.minecraft.core.enums.HumanArmorShape;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.EntityRendererDispatcher;
 import net.minecraft.core.player.gamemode.Gamemodes;
@@ -39,8 +39,6 @@ public class ScreenInventory extends ScreenContainerAbstract {
     protected ListLayout overlayButtonsLayout = new ListLayout(this).setAlign(0.5, 0.5).setVertical(false).setElementSize(11, 11).setOffset(-(this.xSize / 2), -(this.ySize / 2) - 10).setMargin(1);
     private final IntList uvs = new IntArrayList();
 
-    private DamageType hoveredDamageType;
-
 
     public ScreenInventory(Player player) {
         super(player.inventoryMenu);
@@ -81,8 +79,6 @@ public class ScreenInventory extends ScreenContainerAbstract {
     }
 
     public void updateOverlayButtons() {
-        GameSettings settings = this.mc.gameSettings;
-
         boolean clock = false;
         boolean compass = false;
         boolean rotaryCalendar = false;
@@ -112,21 +108,21 @@ public class ScreenInventory extends ScreenContainerAbstract {
         this.overlayButtonsLayout.elements.clear();
 
         if (compass) {
-            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(settings, settings.overlayShowCoords));
+            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(GameSettings.OVERLAY_SHOW_COORDS));
             this.uvs.add(0);
-            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(settings, settings.overlayShowDirection));
+            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(GameSettings.OVERLAY_SHOW_DIRECTION));
             this.uvs.add(1);
         }
         if (clock) {
-            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(settings, settings.overlayShowTime));
+            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(GameSettings.OVERLAY_SHOW_TIME));
             this.uvs.add(2);
         }
         if (rotaryCalendar) {
-            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(settings, settings.overlayShowSeason));
+            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(GameSettings.OVERLAY_SHOW_SEASON));
             this.uvs.add(3);
-            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(settings, settings.overlayShowWeather));
+            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(GameSettings.OVERLAY_SHOW_WEATHER));
             this.uvs.add(4);
-            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(settings, settings.overlayShowBiome));
+            this.overlayButtonsLayout.addElement(new OverlayButtonElement<>(GameSettings.OVERLAY_SHOW_BIOME));
             this.uvs.add(5);
         }
 
@@ -150,7 +146,7 @@ public class ScreenInventory extends ScreenContainerAbstract {
         this.xSize_lo = mx;
         this.ySize_lo = my;
 
-        if (this.mc.gameSettings.armorProtectionOverlay.value && this.armorButton.enabled) {
+        if (GameSettings.ARMOR_PROTECTION_OVERLAY.value && this.armorButton.enabled) {
             drawProtectionOverlay(mx, my);
         }
         this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/inventory.png").bind();
@@ -190,7 +186,7 @@ public class ScreenInventory extends ScreenContainerAbstract {
 
 
     public void drawProtectionOverlay(int mouseX, int mouseY) {
-        this.hoveredDamageType = null;
+        DamageType hoveredDamageType = null;
 
         int x = this.width / 2 - this.armourValuesFloat - 4;
         int y = this.height / 2 - 79;
@@ -227,14 +223,14 @@ public class ScreenInventory extends ScreenContainerAbstract {
                 drawRectWidthHeight(x2 + 15, y2 + 4, (int) (protection * w2), h2, color);
 
                 if (mouseX >= x2 && mouseY >= y2 + 2 && mouseX <= x2 + w && mouseY <= y2 + 12) {
-                    this.hoveredDamageType = damageType;
+                    hoveredDamageType = damageType;
                 }
             }
             i++;
         }
 
-        if (this.hoveredDamageType != null) {
-            int protection = Math.round(this.mc.thePlayer.getTotalProtectionAmount(this.hoveredDamageType) * 100);
+        if (hoveredDamageType != null) {
+            int protection = Math.round(this.mc.thePlayer.getTotalProtectionAmount(hoveredDamageType) * 100);
             if (protection < 0) {
                 protection = 0;
             }
@@ -242,7 +238,7 @@ public class ScreenInventory extends ScreenContainerAbstract {
                 protection = 100;
             }
 
-            String str = I18n.getInstance().translateKey(this.hoveredDamageType.getLanguageKey()) + ":\n" + protection + " / 100";
+            String str = I18n.getInstance().translateKey(hoveredDamageType.getLanguageKey()) + ":\n" + protection + " / 100";
 
             this.tooltipElement.render(str, mouseX, mouseY, 8, -8);
         }
@@ -299,7 +295,7 @@ public class ScreenInventory extends ScreenContainerAbstract {
     @Override
     protected void buttonClicked(@NotNull ButtonElement button) {
         if (button == this.armorButton) {
-            this.mc.gameSettings.armorProtectionOverlay.toggle();
+            GameSettings.ARMOR_PROTECTION_OVERLAY.toggle();
         }
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
index c3caa69e5..abfd30032 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
@@ -7,6 +7,7 @@ import net.minecraft.client.gui.TooltipElement;
 import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.gui.guidebook.search.GuidebookSectionSearch;
 import net.minecraft.client.input.controller.ControllerInput;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.TextureManager;
@@ -295,7 +296,7 @@ public class ScreenGuidebook
             updateTabList();
         }
 
-        if (!consumedInput && this.mc.gameSettings.keyGuidebook.isKeyboardKey(eventKey)) { // If R pressed and not consumed by page exit guidebook
+        if (!consumedInput && GameSettings.KEY_GUIDEBOOK.isKeyboardKey(eventKey)) { // If R pressed and not consumed by page exit guidebook
             this.mc.displayScreen(getParentScreen());
         }
     }
